<?php

class Widget_PremiumPress_Blog_Single extends \Elementor\Widget_Base {
 
	public function get_name() {
		return 'ppt-blog-single';
	}
 
	public function get_title() {
		return "Blog - Details Block";
	} 
	public function get_icon() {
		return 'premiumpress-single';
	} 
	public function get_categories() {
		return [ 'premiumpress-single' ];
	} 
	protected function register_controls() {	 global $CORE;  
	 
 
		$this->start_controls_section(
			'ppt_listngpage',
			[
				'label' => __( 'Blog - Details Block', 'premiumpress' ),	
				  
			]
		);	   
		
		$this->end_controls_section(); 
	   
	    
	}
	
	protected function render() {
	
		global $new_settings;
	
		$s = $this->get_settings_for_display();	
		 
		//$new_settings["fields_single_style"] 	= 1; 
		 
		
		///////////////////////////////////////////////////////////////////////////////////////
		///////////////////////////////////////////////////////////////////////////////////////
		///////////////////////////////////////////////////////////////////////////////////////
 
		//_ppt_template( 'framework/design/blog/blogsingle' );  
        do_action("blogsingle");
		 
		
	}	
	

} ?>